gnutls_x509_crt_get_subject_unique_id(3)

NAME
gnutls_x509_crt_get_subject_unique_id - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_subject_unique_id(gnutls_x509_crt_t crt, char * buf, size_t * buf_size);

ARGUMENTS

gnutls_x509_crt_t crt
    Holds the certificate

char * buf
    user allocated memory buffer, will hold the unique id

size_t * buf_size
    size of user allocated memory buffer (on input), will hold actual size of the unique ID on return.

DESCRIPTION
This function will extract the subjectUniqueID value (if present) for the given certificate. If the user allocated memory buffer is not large enough to hold the full subjectUniqueID, then a GNUTLS_E_SHORT_MEMORY_BUFFER error will be returned, and buf_size will be set to the actual length.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/